﻿.image-container {
    position: relative;
    display: inline-block;
}

.delete-button {
    position: absolute !important;
    top: 0;
    right: 0;
    display: none;
    padding: 0;
}

.image-container:has(.delete-button) .image-overlay{
    z-index: calc(var(--mud-zindex-dialog) + 3);
    height: 100%;
    width: 100%;
    display: none;
    position: absolute;
    border-radius: 50%;
}

.image-container:hover .image-overlay{
    display: block;
}

.image-container:hover .delete-button
{
    display: block;
    z-index: calc(var(--mud-zindex-dialog) + 4);
}

.delete-button span.mud-icon-button-label
{
    color: var(--mud-palette-primary);
}